<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                   https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">

    <changeSet id="createTableAccount" author="Egorov">
        <createTable tableName="account">
            <column name="id" type="BIGINT" autoIncrement="true">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="number" type="VARCHAR(20)">
                <constraints unique="true" nullable="false"/>
            </column>
            <column name="name" type="VARCHAR(100)">
                <constraints unique="true" nullable="false"/>
            </column>
            <column name="balance" type="DECIMAL(10, 2)">
                <constraints nullable="false"/>
            </column>
            <column name="pin_code" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
            <column name="created_at" type="TIMESTAMP">
                <constraints nullable="false"/>
            </column>
            <column name="updated_at" type="TIMESTAMP">
                <constraints nullable="false"/>
            </column>
        </createTable>
        <createTable tableName="transaction">
            <column name="id" type="BIGINT" autoIncrement="true">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="account_id" type="BIGINT">
                <constraints foreignKeyName="fk_transaction_account" references="account(id)" nullable="false"/>
            </column>
            <column name="amount" type="DOUBLE">
                <constraints nullable="false"/>
            </column>
            <column name="transaction_type" type="VARCHAR(50)">
                <constraints nullable="false"/>
            </column>
            <column name="transaction_time" type="TIMESTAMP">
                <constraints nullable="false"/>
            </column>
        </createTable>
        <sqlFile path="classpath:db/changelog/insert_test_data.sql"/>
    </changeSet>
</databaseChangeLog>